﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_Sample
{
    public class OrderInfoRepositiory : NotificationObject
    {
        ObservableCollection<OrderInfo> orderCollection;
        public ObservableCollection<OrderInfo> OrderInfoCollection
        {
            get { return orderCollection; }
            set { orderCollection = value; RaisePropertyChanged("OrderInfoCollection"); }
        }        
        public OrderInfoRepositiory()
        {
            orderCollection = new ObservableCollection<OrderInfo>();
            OrderInfoCollection = GenerateOrders();            
        }

        public ObservableCollection<OrderInfo> GenerateOrders()
        {


            ObservableCollection<OrderInfo> orders = new ObservableCollection<OrderInfo>();
            //for (int i = 0; i <= 9; i++)
            //{
            int i = 0;
            orders.Add(new OrderInfo(i + 1, "Maria Anders", "Germany", "ALFKI", "Berlin"));
            orders.Add(new OrderInfo(i + 2, "Ana Trujilo", "Mexico", "ANATR", "México D.F."));
            orders.Add(new OrderInfo(i + 3, "Antonio Moreno", "Mexico", "ANTON", "México D.F."));
            orders.Add(new OrderInfo(i + 4, "Thomas Hardy", "UK", "AROUT", "London"));
            orders.Add(new OrderInfo(i + 5, "Christina Berglund", "Sweden", "BERGS", "Luleå"));
            orders.Add(new OrderInfo(i + 6, "Hanna Moos", "Germany", "BLAUS", "Mannheim"));
            orders.Add(new OrderInfo(i + 7, "Frédérique Citeaux", "France", "BLONP", "Strasbourg"));
            orders.Add(new OrderInfo(i + 8, "Martin Sommer", "Spain", "BOLID", "Madrid"));
            orders.Add(new OrderInfo(i + 9, "Laurence Lebihan", "France", "BONAP", "Marseille"));
            orders.Add(new OrderInfo(i + 10, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen"));
            //}
            return orders;
        }

    }
}
